
QGIS Application - Bug report #21672

[osgeo4w] qgis-xxx-grass file name has changed

2019-03-25 03:47 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version:3.4.6 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29488

Description

I updated osgeo4w installation and ended up with filenames such as qgis_ltr-dev-bin-ggrass76, qgis_ltr-dev-ggrass76 for bat, exe, env

files. Note the double "g". It used to have a single g as far as I remember

Related issues:

Duplicated by QGIS Application - Bug report # 21678: QGIS 3.4.6 cannot find G... Closed 2019-03-26

Duplicated by QGIS Application - Bug report # 21680: QGIS 3.7 Rel 14 will not... Closed 2019-03-26

Associated revisions

Revision 5f7d4f5f - 2019-03-23 02:36 AM - Jürgen Fischer

osgeo4w: updates for grass 7.6.1

(cherry picked from commit a19fc89e5fb71b9e30de7196494b247f243a8a99)

Revision f114ad89 - 2019-03-24 05:08 PM - Jürgen Fischer

osgeo4w: rely on GRASS' GISBASE environment variable instead of

detecting the path (ie. use the same version for processing as the

version that the grass plugin uses)

(cherry picked from commit 806ae861e1521d9b88b109e85094ef2c01425284)

History

#1 - 2019-03-25 06:22 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Affected QGIS version changed from 3.7(master) to 3.4.6

fixed in commit:5f7d4f5f0

#2 - 2019-03-26 03:57 PM - Giovanni Manghi

- Status changed from Open to Closed

#3 - 2019-03-26 06:41 PM - Jürgen Fischer

- Duplicated by Bug report #21678: QGIS 3.4.6 cannot find GRASS 7.6.1 on Windows added
#4 - 2019-03-27 01:29 AM - Jürgen Fischer

- Duplicated by Bug report #21680: QGIS 3.7 Rel 14 will not start on windows wiht a hint to check ggis-dev-bin-ggrass76v.env for correct 

evironmentpath added

Files

qgisgrassexe.PNG 24.5 KB 2019-03-25 Harrissou Santanna

2025-04-26 2/2


